Subject: bug#27007: [PATCH 1/2] bootloader: Use menu-entry to define custom bootloader entries.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Jun 2017 13:22:37 +0200

Hello,

Mathieu Othacehe <[email-masked]> skribis:

>> For another future patch:  Hmm, should we make this optional?  I didn't have an initrd for many years.
>
> Well I tried to run GuixSD without initrd and it's not possible
> yet. Besides mounting root partition, it's also used to start the
> initial guile script (/run/current-system/boot).
>
> However, that's something I'd like to see :)

I think it’s hard to achieve in general, unless you build the relevant
disk and file system drivers directly inside your kernel.  (The whole
point of the initrd is that you can keep a small kernel build and then
populate the initrd with the modules that are needed to mount the root
file system.)

(I’ll comment on the other issues separately!)

Ludo’.